require 'immature/version'
require 'immature/phrases'

require 'treat'

module Immature
  class << self
    # Make a given sentence more immature (in your pants).
    #
    # The phrase used will be chosen at random from {Immature::PHRASES}.
    #
    # @example
    #   Immature.make_fun_of("Show me an example.") #=> "Show me an example in your pants."
    #
    # @param sentence [#to_s] A normal sentence or paragraph
    #
    # @return A more immature version of your sentence.
    def make_fun_of sentence
      immature_phrase = Immature::PHRASES.sample
      sentence = Treat::Entities::Sentence.new(sentence.to_s).tokenize
      children = sentence.children
      last_word_index = children.rindex { |entity| entity.type == :word }
      children.insert(last_word_index + 1, Treat::Entities::Word.new(immature_phrase))
      sentence.to_s
    end
  end
end
